# Known Issues and Fixes

This page outlines the known issues associated with the platform and provides guidance on how to resolve or work around them.

## Not Receiving Injects Upon Starting Platform

### Issue

Upon starting the exercise, you may not receive any injects.

### Cause

This issue may be caused by the frontend not properly refreshing to capture new injects.

### Solution

Refresh the page in your browser. This should force the frontend to correctly display the injects.

## Multiple Tabs Issue

### Issue

If the user opens the app in multiple tabs, the behavior is not well defined. This may lead to unexpected issues or conflicts.

### Solution

Use the app in a single tab to avoid these issues.

## Unauthorized REST Endpoint Request

### Issue

When creating a request on the REST endpoint as a non-authorized user, instead of a `Permission Denied` pop-up, an HTML error 500 is returned and this is shown:

```
<!doctype html>
<html lang="en">
<head>
  <title>Server Error (500)</title>
</head>
<body>
  <h1>Server Error (500)</h1><p></p>
</body>
</html>
```

## File Upload for Email Over 2.5MB

### Issue

When uploading a file for an email that's over 2.5MB, an error pops up with the message `undefined - undefined`.

### Cause

The maximum allowed file size for uploads is currently set to 2.5MB.

### Solution

Ensure that the file size is under 2.5MB before attempting to upload it.

## Conclusion

If you require further assistance, don't hesitate to report issues to us. The [Report issue](report-issue.md) page includes instructions on how to report bugs.
