# How to upgrade definition version?

If you want to upgrade the current definition to a new version, use the following [CHANGELOG](CHANGELOG.md).

## How to proceed:  

1. Take your current definition, and in `config.yml`, check the version.  

2. Change the version in `config.yml` to a new version.

3. Use the [CHANGELOG](CHANGELOG.md) and start making changes step by step from your current version to the newest version that is compatible with IXP.  

4. Make one single change at a time.  

5. Be sure to make the change for all the concerning files and their attributes before proceeding with the following change. 

6. Each version contains information about changes and a structured description of affected files and their arguments. 

7. Note that not every change is reflected in the files, some changes are only concerned with the behaviour of certain definition aspect rather than syntax change in the YAML files. 

8. Lastly, check the new version against [definition documentation](README.md) to see if the arguments in the files are the same. 

9. Zip the definition and upload it to the IXP for the last validation.  

10. **Done.** Enjoy your upgraded version!

## Example:

* Current version: **0.8.0**
* New version: **0.9.0**

1. In the [CHANGELOG](CHANGELOG.md) in the section **0.9.0** the only change is removal of field `auto` in `injects.yml`. 
2. Open `injects.yml`. Remove field `auto` from every inject category. 
3. Save the file.
4. Check the `injects.yml` against `injects.yml` structure in the [definition documentation](README.md).
5. Create a new .zip archive and upload it to the IXP. 
6. The upload process will check the definition for errors.

**You have successfully upgraded the definition version.**
